Loading...
Searching...
No Matches
snd_ump_msg_flex_data_t Union Reference

`#include <ump_msg.h>`

## Data Fields

snd_ump_msg_flex_data_meta_t | meta
snd_ump_msg_flex_data_meta_t | text
snd_ump_msg_set_tempo_t | set_tempo
snd_ump_msg_set_time_sig_t | set_time_sig
snd_ump_msg_set_metronome_t | set_metronome
snd_ump_msg_set_key_sig_t | set_key_sig
snd_ump_msg_set_chord_name_t | set_chord_name
snd_ump_msg_hdr_t | hdr
uint32_t | raw [4]

## Detailed Description

Flex Data Message (128bit)

## Field Documentation

## hdr

snd_ump_msg_hdr_t snd_ump_msg_flex_data_t::hdr

UMP header

## meta

snd_ump_msg_flex_data_meta_t snd_ump_msg_flex_data_t::meta

Metadata

## raw

uint32_t snd_ump_msg_flex_data_t::raw[4]

raw UMP packet

## set_chord_name

snd_ump_msg_set_chord_name_t snd_ump_msg_flex_data_t::set_chord_name

Set Chord Name

## set_key_sig

snd_ump_msg_set_key_sig_t snd_ump_msg_flex_data_t::set_key_sig

Set Key Signature

## set_metronome

snd_ump_msg_set_metronome_t snd_ump_msg_flex_data_t::set_metronome

Set Metronome

## set_tempo

snd_ump_msg_set_tempo_t snd_ump_msg_flex_data_t::set_tempo

Set Tempo

## set_time_sig

snd_ump_msg_set_time_sig_t snd_ump_msg_flex_data_t::set_time_sig

Set Time Signature

## text

snd_ump_msg_flex_data_meta_t snd_ump_msg_flex_data_t::text

Text data

The documentation for this union was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h